Category was duplicated and given different sort keys
Closed, ResolvedPublic8 Story Points


See for what happened.

[[Category:One two three]] became [[Category:One two three|One]] AND [[Category:One two three|two three]].

I have been unable to replicate this.

See Also:

Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF raised the priority of this task from to Needs Triage.
Whatamidoing-WMF added a project: VisualEditor.
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2015, 10:49 PM
NicoV added a subscriber: NicoV.Feb 16 2015, 4:44 AM

To be more accurate:

  • [[Category:One two three four]] has been replaced by [[Category:One two three four|Category:One two]] and [[Category:One two three four| three four]] (note the "Category" in the sort value, and the space at the beginning of the second sort value)
  • Other categories are in between the 2 categories, and everything is put on a single line with the portals
Elitre added a subscriber: Elitre.Feb 16 2015, 4:15 PM
NicoV added a comment.Feb 16 2015, 4:36 PM

Not sure, for several reasons :

  • I don't see any mention in T76715 of categories becoming grouped on one line
  • I tried reproducing T76715 and I see the category appearing several times in the dialog box, but not in the actual wikitext diff
  • The steps described in T6715 start by creating a new category, there's no new category in this problem

I think that the cats getting grouped on one line is a red herring (a
second, unrelated bug). If memory serves, that happens when someone tries
to delete the "unnecessary" blank line at the end of the article.

I agree with the previous comment -the issue seems similar to T76998 and T85671. The categories are not deleted, but "jammed" together on one line - the diff shows it.

{{Portail|Savoie|communes de France}}[[‪Catégorie:Villes et villages fleuris‬|‪Catégorie:Villes et]][[Catégorie:Commune de la Savoie|Crest-Voland]][[Catégorie:Station de sports d'hiver en Savoie|Crest-Voland]][[‪Catégorie:Villes et villages fleuris‬| villages fleuris‬]]

Also I agree that the bug describes a different issue - spontaneous(?) addition of sorting order.
Although the bug is not reproducible, I'd like someone to take a look at it, so assigning a priority as Normal.

Etonkovidova triaged this task as Normal priority.Feb 17 2015, 12:01 AM
Etonkovidova set Security to None.
Jdforrester-WMF closed this task as Resolved.Mar 5 2015, 9:55 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Closing this for now as probably fixed; any reproductions after 3 March (barring caches) should make this be re-opened, though.